﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "Area 클래스 : Gradient 속성을 사용해 그라디언트 색상 설정하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            Area area = new Area();

            area.Gradient.StartColor  = Color.Red;
            area.Gradient.MiddleColor = Color.Blue;
            area.Gradient.EndColor    = Color.Green;
            area.Gradient.Visible     = true;

            area.FillSampleValues(10);

            this.tChart.Series.Add(area);
        }

        #endregion
    }
}